textures/fake/rails
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/fake/rails.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
		tcMod scroll 0 -6
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/fake/rocksky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/skies/stars.tga
	q3map_surfacelight 80
	q3map_sun 1 1 1 100 30 60
	skyparms env/rock - -
}

textures/fake/sand2m
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	cull none

	{
		map textures/fake/sand2m.tga
		tcMod scroll -4 .0
	}
}

textures/fake/stones2m
{
	surfaceparm nolightmap
	cull none

	{
		map textures/fake/stones2m.tga
		tcMod scroll -5.4 .0
	}
}

textures/fake/wald
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/skies/stars.tga
	q3map_surfacelight 50
	q3map_sun 0.87 0.72 0.22 100 30 60
	skyparms env/wald - -
}

textures/fake/water1
{
	qer_editorimage textures/fake/water1.tga
	qer_trans 0.5
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm fog
	fogparms ( .129 .486 .459 ) 500
	tesssize 128
	cull disable
	deformVertexes wave 128 sin 1 1 .5 .5

	{
		map textures/fake/water2b.tga
		tcMod scale .25 .25
		tcmod turb 0 0.07 0 0.07
	}
}

textures/fake/wheel
{
	surfaceparm nolightmap
	cull none

	{
		map textures/fake/wheel.tga
		tcMod rotate 500
	}
}

textures/fake/marble1
{
	qer_editorimage textures/fake/marble1.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/fake/marble1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/fake/marble2
{
	qer_editorimage textures/fake/marble2.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/fake/marble2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/fake/marble2b
{
	qer_editorimage textures/fake/marble2b.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/fake/marble2b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

