//western Shader

textures/western/wq_bluesky1
{
	qer_editorimage textures/western/wq_sky1a.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_surfacelight 80
	q3map_sun	1 1 1 100	30 60

	//cloudparms 512 full

	skyparms - 512 -

	{
		map textures/western/wq_sky1.tga
		tcMod scroll 0.1 0.1
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/western/wq_sky1a.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}

textures/common/ladder
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm ladder
	surfaceparm playerclip
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm noimpact
}

textures/western/lightwhite
{
	qer_editorimage textures/western/lwhite.tga	
	q3map_lightimage textures/western/lwhite.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/western/lwhite.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/western/lightyellow
{
	qer_editorimage textures/western/lyellow.tga
	q3map_lightimage textures/western/lyellow.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/western/lyellow.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/western/lyellow.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/western/waterfall
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	qer_editorimage textures/western/wq_fall1.tga
	qer_trans 0.5
	{
		map textures/western/wq_fall1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcMod scroll 0 -3
	}


}

textures/western/nightsky
{
	qer_editorimage textures/western/xnight2_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/skies/stars.tga
	q3map_sun	0.5 0.5 1 30 -58 58
	q3map_surfacelight 30

        skyparms env/xnight2 - -
       {
		map textures/skies/dimclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}

textures/western/wq_snow
{    
     surfaceparm	metalsteps	   
        
        {
	map textures/sfx/proto_zzztblu2.tga
                tcMod turb 0 .5 0 9.6
                tcmod scale 2 2
                tcmod scroll 9 5
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
		map textures/western/wq_snow.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/western/mountainsky
{
	qer_editorimage textures/western/mount_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/skies/stars.tga
	q3map_sun	1 1 1 80 -58 58
	q3map_surfacelight 90

        skyparms env/mount - -
}

textures/western/desertsky
{
	qer_editorimage textures/western/desert_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/skies/stars.tga
	q3map_sun	1 1 1 100 30 60
	q3map_surfacelight 80

        skyparms env/desert - -
}
textures/western/rocksky
{
	qer_editorimage textures/western/desert_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/skies/stars.tga
	q3map_surfacelight 80
	q3map_sun	1 1 1 100	30 60

        skyparms env/rock - -

}

textures/western/water
	{

		// Added to g3map_global texture on May 11, 1999
		qer_editorimage textures/western/wq_water1.tga
		qer_trans .5
		q3map_globaltexture

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap

		cull disable
		tesssize 256
		deformVertexes wave 256 sin 1 1 1 .1
		
	
	
		{
			map textures/western/wq_water1.tga
			blendfunc GL_ONE GL_SRC_COLOR	
			tcMod scale .03 .03
			tcMod scroll .001 .001
		}
	
		{
			map textures/western/wq_water1b.tga
			blendfunc GL_DST_COLOR GL_ONE
			tcMod turb .1 .1 0 .01
			tcMod scale .5 .5
			tcMod scroll -.025 .02
		}


	}


textures/western/water2
	{

		// Added to g3map_global texture on May 11, 1999
		qer_editorimage textures/western/wq_water1.tga
		qer_trans .5
		q3map_globaltexture

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap

		cull disable
		tesssize 256
		deformVertexes wave 256 sin 1 1 1 .1
		
	
	
		{
			map textures/western/wq_water1.tga
			blendfunc GL_ONE GL_SRC_COLOR	
			tcMod scale .03 .03
			tcMod scroll .001 .001
		}
	
		{
			map textures/liquids/pool3d_3e.tga
			blendfunc GL_DST_COLOR GL_ONE
			tcMod turb .1 .1 0 .01
			tcMod scale .5 .5
			tcMod scroll -.025 .02
		}


	}

textures/western/clear_glass
{
 	qer_editorimage textures/western/glasstex.tga
	qer_trans 0.7 

	surfaceparm nolightmap
	surfaceparm trans

	q3map_surfacelight 600

	{
	map textures/effects/tinfx.tga
	tcGen environment
	blendfunc GL_ONE GL_ONE
	}
}

textures/western/clear_glass_darker
{
 	qer_editorimage textures/western/glasstex.tga
	qer_trans 0.7 

	surfaceparm nolightmap
	surfaceparm trans

	q3map_surfacelight 50

	{
	map textures/effects/tinfx.tga
	tcGen environment
	blendfunc GL_ONE GL_ONE
	}
}

textures/western/glass
{
 	qer_editorimage textures/western/glasstex.tga
	qer_trans 0.7 
	surfaceparm trans
	q3map_surfacelight 600
	{
		map textures/western/glasstex.tga 
		blendfunc GL_ONE GL_ONE
		tcGen environment
		rgbGen lightingDiffuse
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}
textures/western/glass2
{
 	qer_editorimage textures/western/glasstex.tga
	qer_trans 0.7 
	surfaceparm trans
	q3map_surfacelight 600
	{
		map textures/western/glasstex.tga 
		blendfunc GL_ONE GL_ONE
		tcGen environment
		rgbGen lightingDiffuse
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}
textures/western/tresure_metal
{
	qer_editorimage textures/western/metal.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/western/metal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/western/gold
{
	qer_editorimage textures/western/gold.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/western/gold.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/western/spoon_water
{
	qer_editorimage textures/fake/water2b.tga
	qer_trans 0.5
	//q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm trans
	//surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm fog
	fogparms ( .12 .48 .45 ) 500
	//tesssize 128
	//cull disable
	deformVertexes wave 128 sin 1 1 .5 .5

	{
		map textures/fake/water1.tga
		blendFunc GL_ONE GL_ONE
		//tcmod turb 0 0.07 0 0.07
		tcmod scroll -0.5 0
	}
}
textures/western/henry_rifle
{
	qer_editorimage textures/western/gold.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map models/weapons2/shotgun/henry1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}